Bug 1840020 - Review Request: php-doctrine-inflector2 - Common string manipulations with regard to casing and singular/plural rules
Summary: Review Request: php-doctrine-inflector2 - Common string manipulations with re...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-26 09:10 UTC by Remi Collet
Modified: 2020-06-11 22:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-11 22:56:45 UTC
Type: ---
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (13.32 KB, text/plain)
2020-05-31 14:39 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (8.95 KB, text/plain)
2020-05-31 14:39 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (7.95 KB, text/plain)
2020-05-31 14:40 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2020-05-26 09:10:18 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/doctrine/php-doctrine-inflector2.git/plain/php-doctrine-inflector2.spec?id=59fce4f9d2085a6828eed110d5aea0b858895aa4
SRPM URL: https://rpms.remirepo.net/SRPMS/php-doctrine-inflector2-2.0.2-1.remi.src.rpm
Description: 
Doctrine Inflector is a small library that can perform string manipulations
with regard to upper-/lowercase and singular/plural forms of words.

Autoloader: /usr/share/php/Doctrine/Inflector2/autoload.php



Fedora Account System Username: remi

Comment 1 Shawn Iwinski 2020-05-31 14:39:32 UTC
Created attachment 1693843 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.2.3 DB version 2.14.0 built May 18 2020 09:40:40 CEST

Comment 2 Shawn Iwinski 2020-05-31 14:39:57 UTC
Created attachment 1693844 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.2.3 DB version 2.14.0 built May 18 2020 09:40:40 CEST

Comment 3 Shawn Iwinski 2020-05-31 14:40:49 UTC
Created attachment 1693845 [details]
fedora-review.txt

Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1840020
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, PHP, Generic
Disabled plugins: Python, Ocaml, Perl, R, SugarActivity, Haskell, Java, fonts, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Shawn Iwinski 2020-05-31 14:43:58 UTC
[!]: Latest version is packaged.

v2.0.2 packaged, v2.0.3 available



[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).

> Diff spec file in url and in SRPM
> ---------------------------------
> --- /home/siwinski/projects/fedora/reviews/1840020-php-doctrine-inflector2/srpm/php-doctrine-inflector2.spec	2020-05-27 13:59:24.914001255 -0400
> +++ /home/siwinski/projects/fedora/reviews/1840020-php-doctrine-inflector2/srpm-unpacked/php-doctrine-inflector2.spec	2020-05-26 02:04:31.000000000 -0400
> @@ -20,5 +20,5 @@
>  %global composer_project inflector
> 
> -# "php": "^7.2 || ^8.0"
> +# "php": "^7.2"
>  %global php_min_ver 7.2

Comment 5 Shawn Iwinski 2020-05-31 14:44:26 UTC
No blockers

===== APPROVED =====

Comment 7 Gwyn Ciesla 2020-06-02 12:14:15 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-doctrine-inflector2

Comment 8 Fedora Update System 2020-06-02 13:24:46 UTC
FEDORA-2020-018ea44b22 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-018ea44b22

Comment 9 Fedora Update System 2020-06-03 03:11:51 UTC
FEDORA-2020-018ea44b22 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-018ea44b22 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-018ea44b22

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-06-11 22:56:45 UTC
php-doctrine-inflector2-2.0.3-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.